Package org.eclipse.ui.statushandlers

# Class WorkbenchErrorHandler

java.lang.Object
org.eclipse.ui.statushandlers.AbstractStatusHandler
org.eclipse.ui.statushandlers.WorkbenchErrorHandler

public class WorkbenchErrorHandler extends AbstractStatusHandler
This is a default workbench error handler.

Since:
  3.3
See Also:
  - `WorkbenchAdvisor.getWorkbenchErrorHandler()`

## Constructor Summary

Constructors
Constructor
Description
`WorkbenchErrorHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureStatusDialog(WorkbenchStatusDialogManager statusDialog)`
This methods should be overridden to configure `WorkbenchStatusDialogManager` behavior.
`void`
`handle(StatusAdapter statusAdapter, int style)`
Handles `StatusAdapter` objects based on the set style.
`boolean`
`supportsNotification(int type)`
This methods indicates if particular notification type is supported and if `StatusManager.fireNotification(int, StatusAdapter[])` will be called after the event occurs.

### Methods inherited from class org.eclipse.ui.statushandlers.AbstractStatusHandler

`getId, getParam, getParams, setId, setParams`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkbenchErrorHandler

public WorkbenchErrorHandler()

## Method Details

### supportsNotification

public boolean supportsNotification(int type)
Description copied from class: `AbstractStatusHandler`
This methods indicates if particular notification type is supported and if `StatusManager.fireNotification(int, StatusAdapter[])` will be called after the event occurs. Only known notification types should be accepted, whereas unknown types should be always rejected.

Overrides:
  `supportsNotification` in class `AbstractStatusHandler`
Parameters:
  `type` - - a notification type that should be checked.
Returns:
  true if particular event notification is supported, false otherwise

### handle

public void handle(StatusAdapter statusAdapter, int style)
Description copied from class: `AbstractStatusHandler`
Handles `StatusAdapter` objects based on the set style.

Specified by:
  `handle` in class `AbstractStatusHandler`
Parameters:
  `statusAdapter` - the status adapter. May not be `null`.
  `style` - style constant. Acceptable values are defined in `StatusManager` and can be combined with logical OR.
See Also:
  - `StatusManager.BLOCK`
  - `StatusManager.NONE`
  - `StatusManager.SHOW`
  - `StatusManager.LOG`

### configureStatusDialog

protected void configureStatusDialog(WorkbenchStatusDialogManager statusDialog)
This methods should be overridden to configure `WorkbenchStatusDialogManager` behavior. It is advised to use only following methods of `WorkbenchStatusDialogManager`:

- `WorkbenchStatusDialogManager.enableDefaultSupportArea(boolean)`
- `WorkbenchStatusDialogManager.setDetailsAreaProvider(AbstractStatusAreaProvider)`
- `WorkbenchStatusDialogManager.setSupportAreaProvider(AbstractStatusAreaProvider)`

Default configuration does nothing.

Parameters:
  `statusDialog` - a status dialog to be configured.
Since:
  3.4